Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 171670 - remove system-control-network
Summary: remove system-control-network
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-10-25 02:25 UTC by Matthias Clasen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-26 12:35:38 UTC


Attachments (Terms of Use)

Description Matthias Clasen 2005-10-25 02:25:41 UTC
It is old, its functionality has been superseded by NetworkManager, and worst of
all, it doesn't work:

Traceback (most recent call last):
  File "/usr/bin/system-control-network", line 465, in ?
    window = mainDialog()
  File "/usr/bin/system-control-network", line 123, in __init__
    self.hydrateProfiles()
  File "/usr/bin/system-control-network", line 333, in hydrateProfiles
    self.xml.get_widget('profileFrame').hide()
AttributeError: 'NoneType' object has no attribute 'hide'

Comment 1 Harald Hoyer 2005-10-25 10:54:00 UTC
Come on... this is easily fixed.
Does NetworkManager handle dialup connections like modem, ISDN and DSL?

Comment 2 Matthias Clasen 2005-10-26 12:15:21 UTC
Eventually the plan for NM is to support all relevant kinds of network
connections. Just making system-control-network work for now would be good
enough, I guess.


Note You need to log in before you can comment on or make changes to this bug.